<div *ngFor="let order of orderMap?.value">
  <ul class="list-group" *ngIf="order.orderTime.delivered !== null">
    <li class="list-group-item">
      <div class="row">
        <div class="orderImage col-2">
          <img class="img" width="auto" style = "max-height: 75px;"
               src="https://e1.pngegg.com/pngimages/435/709/png-clipart-mcdonald-s-french-fries-thumbnail.png"  alt=""/>
          <!--<img src = "https://i.insider.com/51e3f458eab8ea135800001d" alt = "">-->
        </div>
        <div class="OrderDetails col-7 text-truncate">
        <span *ngFor="let foodOrder of order?.food">
            | <strong>{{foodOrder.restaurantName}}</strong> |
        </span>
          <div class="row ms-2">
            {{order?.orderType.toUpperCase()}} • {{order.address}}
            <br>
            Delivered:
            {{order?.orderTime.delivered | date: 'short'}}
          </div>
        </div>
        <div class="OrderOptions col-3">
          <button type="button" class="btn btn-outline-info d-inline-flex p-2 mt-3 float-end"
                  ngbPopover="{{printFood(order)}}" popoverTitle="Order Items: ">
            Details
          </button>
        </div>
      </div>
    </li>
  </ul>
  <ul class="list-group" *ngIf="order.orderTime.delivered === null">
    <li class="list-group-item" style = "">
      <div class="row">
        <div class="orderImage col-2 text-danger">
          <img class="img" width="auto" style = "max-height: 75px;"
               src="https://e1.pngegg.com/pngimages/435/709/png-clipart-mcdonald-s-french-fries-thumbnail.png"  alt=""/>
        </div>
        <div class="OrderDetails col-7 text-truncate text-danger">
        <span *ngFor="let foodOrder of order?.food">
            | <strong>{{foodOrder.restaurantName}}</strong> |
        </span>
          Pending
          <div class="row ms-2 text-danger">
            {{order?.orderType.toUpperCase()}} • {{order.address}}
            <br>
            Order Placed: {{order?.orderTime.restaurantAccept | date: 'short'}}
          </div>
        </div>
        <div class="OrderOptions col-3">
          <button type="button" class="btn btn-outline-info d-inline-flex p-2 mt-3 float-end"
                  ngbPopover="{{printFood(order)}}" popoverTitle="Order Items: ">
            Details
          </button>
        </div>
      </div>
    </li>
  </ul>
</div>
